Name:           siege
Version:        2.75
Release:        1
Summary:        Siege is an http regression testing and benchmarking utility
Group:          Development/Tools
License:        GPLv2+
URL:            http://www.joedog.org/JoeDog/Siege    
Source0:        ftp://ftp.joedog.org/pub/siege/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  openssl-devel >= 1.0.1
Requires:       openssl >= 1.0.1

%description
Siege is an http regression testing and benchmarking utility. 
It was designed to let web developers measure the performance of their code 
under duress, to see how it will stand up to load on the internet. 
Siege supports basic authentication, cookies, HTTP and HTTPS protocols. 
It allows the user hit a web server with a configurable number of concurrent 
simulated users. Those users place the webserver "under siege."

%prep
%setup -q


%build
export CC="cc"
export tagname=CC
./configure \
    --prefix=%{_prefix} \
    --enable-shared --disable-static \
    --with-ssl=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Create /opt/freeware/etc/urls.txt
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}
cp doc/urls.txt ${RPM_BUILD_ROOT}%{_sysconfdir}/urls.txt
chmod 0644 ${RPM_BUILD_ROOT}%{_sysconfdir}/urls.txt

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING KNOWNBUGS MACHINES NEWS PLATFORM README README.https
%{_bindir}/*
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/urls.txt
/usr/bin/*


%changelog
* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 2.75-1
- updated to version 2.75

* Fri Mar 01 2013 Michael Perzl <michael@perzl.org> - 2.74-1
- updated to version 2.74

* Wed Aug 20 2008 Michael Perzl <michael@perzl.org> - 2.70-1
- updated to version 2.70

* Wed Aug 20 2008 Michael Perzl <michael@perzl.org> - 2.67-1
- first version for AIX V5.1 and higher
